cURL
curl --request DELETE \
--url https://cockroachlabs.cloud/api/v1/clusters/{cluster_id}/logexport \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"cluster_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"delivery_status": "DELIVERY_HEALTHY",
"delivery_status_message": "<string>",
"spec": {
"auth_principal": "<string>",
"aws_external_id": "<string>",
"azure_client_id": "<string>",
"azure_client_secret": "<string>",
"azure_dce_endpoint": "<string>",
"azure_dcr_immutable_id": "<string>",
"azure_dcr_resource_id": "<string>",
"azure_shared_key": "<string>",
"azure_tenant_id": "<string>",
"azure_workspace_resource_id": "<string>",
"groups": [
{
"channels": [
"<string>"
],
"log_name": "<string>",
"enable_sending_queue": true,
"min_level": "UNSPECIFIED",
"redact": true
}
],
"log_name": "<string>",
"omitted_channels": [
"<string>"
],
"otlp_endpoint": "<string>",
"otlp_header_names": [
"<string>"
],
"redact": true,
"region": "<string>",
"type": "AWS_CLOUDWATCH"
},
"status": "DISABLED",
"updated_at": "2023-11-07T05:31:56Z",
"user_message": "<string>"
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Delete the Log Export configuration for a cluster
Can be used by the following roles assigned at the organization, folder or cluster scope:
- ORG_ADMIN
- CLUSTER_ADMIN
- CLUSTER_OPERATOR_WRITER
DELETE
/
api
/
v1
/
clusters
/
{cluster_id}
/
logexport
cURL
curl --request DELETE \
--url https://cockroachlabs.cloud/api/v1/clusters/{cluster_id}/logexport \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"cluster_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"delivery_status": "DELIVERY_HEALTHY",
"delivery_status_message": "<string>",
"spec": {
"auth_principal": "<string>",
"aws_external_id": "<string>",
"azure_client_id": "<string>",
"azure_client_secret": "<string>",
"azure_dce_endpoint": "<string>",
"azure_dcr_immutable_id": "<string>",
"azure_dcr_resource_id": "<string>",
"azure_shared_key": "<string>",
"azure_tenant_id": "<string>",
"azure_workspace_resource_id": "<string>",
"groups": [
{
"channels": [
"<string>"
],
"log_name": "<string>",
"enable_sending_queue": true,
"min_level": "UNSPECIFIED",
"redact": true
}
],
"log_name": "<string>",
"omitted_channels": [
"<string>"
],
"otlp_endpoint": "<string>",
"otlp_header_names": [
"<string>"
],
"redact": true,
"region": "<string>",
"type": "AWS_CLOUDWATCH"
},
"status": "DISABLED",
"updated_at": "2023-11-07T05:31:56Z",
"user_message": "<string>"
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}This endpoint is in Preview and subject to change. Refer to the API support policy for more details.
Authorizations
Response
A successful response.
LogExportClusterInfo contains a package of information that fully describes both the intended state of the log export configuration for a specific cluster but also some metadata around its deployment status, any error messages, and some timestamps.
LogExportDeliveryStatus reports whether logs are reaching the customer's destination. This is independent of LogExportStatus, which reports whether the integration is configured and running. Delivery health is currently reported only for OTLP_HTTP sinks.
- DELIVERY_HEALTHY: The destination is receiving log records normally.
- DELIVERY_UNHEALTHY: The destination is rejecting or failing to receive a substantial fraction of log records. The cause is intentionally not distinguished — it may be invalid credentials, a wrong endpoint, or a transient outage.
Available options:
DELIVERY_HEALTHY, DELIVERY_UNHEALTHY 
